from __future__ import annotations

import os
import sys
from .pyVizionSDK import *

module_path = os.path.dirname(os.path.abspath(__file__))
os.environ['VIZIONSDK_CONFIG_PATH'] = module_path

__all__ = [
    "VxStringList",
    "VX_LOG_LEVEL",
    "VX_CAMERA_PRODUCT_TYPE",
    "VX_CAPTURE_RESULT",
    "VX_CAMERA_INTERFACE_TYPE",
    "VX_USB_DEVICE_SPEED",
    "VxFormat",
    "VX_IMAGE_FORMAT",
    "VxHeaderV2",
    "VxHeaderV3",
    "VX_UVC_IMAGE_PROPERTIES",
    "VX_ISP_IMAGE_PROPERTIES",
    "VxISPImageProcessingValueType",
    "VX_OSP_PROFILE_FLAG",
    "VX_FX3_FW_TARGET",
    "__doc__",
    "HelloVizionSDK",
    "VxSetLogFile",
    "VxSetLogLevel",
    "VxCamera",
    "VxDiscoverCameraDevices",
    "VxInitialCameraDevice",
    "VxOpen",
    "VxClose",
    "VxIsVizionCamera",
    "VxGetDeviceName",
    "VxGetDevicePath",
    "VxGetDeviceInterfaceType",
    "VxGetDeviceProductType",
    "VxGetHardwareID",
    "VxGetUSBDeviceSpeed",
    "VxGetFormatList",
    "VxSetFormat",
    "VxStartStreaming",
    "VxStopStreaming",
    "VxGetImage",
    "VxResetUVC",
    "VxGetUSBFirmwareVersion",
    "VxGetTEVSFirmwareVersion",
    "VxGetSensorFirmwareVersion",
    "VxGenericI2CRead",
    "VxGenericI2CWrite",
    "VxAP1302I2CRead",
    "VxAP1302I2CWrite",
    "VxAP1302SensorRegisterRead",
    "VxAP1302SensorRegisterWrite",
    "VxGetSensorUniqueID",
    "VxGetHeaderVersion",
    "VxGotoFX3ProgramMode",
    "VxUpgradeFX3FW",
    "VxCleanSensorFW",
    "VxUpgradeSensorFW",
    "VxGetBootdataHeaderV2",
    "VxGetBootdataHeaderV3",
    "VxGetBootdataHeaderV2FromFile",
    "VxGetBootdataHeaderV3FromFile",
    "VxSetUVCImageProcessing",
    "VxGetUVCImageProcessing",
    "VxGetUVCImageProcessingRange",
    "VxSetISPImageProcessing",
    "VxSetISPImageProcessingDefault",
    "VxGetISPImageProcessing",
    "VxGetISPImageProcessingRange",
    "VxGetCurrentGain",
    "VxGetCurrentExposure",
    "VxGetMaxFPS",
    "VxSetMaxFPS",
    "VxGetThroughPut",
    "VxSetThroughPut",
    "VxGetOSPProfileFlag",
    "VxSetOSPProfileFlag",
    "VxGetOSPProfileConfig",
    "VxLoadProfileConfig",
    "VxActivateProfileStreaming",
    "VxActivateProfileImageProcessing",
    "VxGetTimestamp",
    "VxResetTimestamp",
    "VxGetFrameCount",
    "VxResetFrameCount",
    "VxExportSensorConfig",
    "VxDecodeSensorConfig"
]


